Groovy 1.7.10

## org.codehaus.groovy.runtime.metaclass
[Java] Class TemporaryMethodKey

    java.lang.Object
      org.codehaus.groovy.runtime.MethodKey
          org.codehaus.groovy.runtime.metaclass.TemporaryMethodKey

    public class TemporaryMethodKey
    extends MethodKey

A temporary implementation of MethodKey used to perform a fast lookup for a method using a set of arguments to a method

Authors:
  James Strachan

Version:
  \$Revision: 7922 \$

Constructor Summary
`TemporaryMethodKey(Class sender, String name, Object[] parameterValues, boolean isCallToSuper)`

Method Summary
`int` | `getParameterCount()`
`Class` | `getParameterType(int index)`

Methods inherited from class MethodKey
createCopy, createHashCode, equals, equals, getName, getParameterCount, getParameterType, getParamterTypes, hashCode, toString

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### TemporaryMethodKey

    public TemporaryMethodKey(Class sender, String name, Object[] parameterValues, boolean isCallToSuper)

Method Detail

### getParameterCount

    public int getParameterCount()

### getParameterType

    public Class getParameterType(int index)

Copyright © 2003-2010 The Codehaus. All rights reserved.